Jump to content

rcmarple

Members
  • Content Count

    20
  • Joined

  • Last visited

Community Reputation

8 Neutral

About rcmarple

  • Rank
    Member

Recent Profile Visitors

The recent visitors block is disabled and is not being shown to other users.

  1. Question re Mac compatibility - the description says "To download and install this product you will need FTX Central v3. Microsoft .NET Framework 4.5 or above is required by FTX Central v3." but I've seen reference elsewhere to manual downloads for TrueEarth for Mac and Linux X-Plane users. Edit - Here's the comment from Ed Correia that says manual downloads still need installing via FTX Central (which is Windows only): Can you clarify if the zipped downloads will be available on launch and can be manually installed? Anticipation is turned up to 11!
×
×
  • Create New...